//
//  ViewController.m
//  MyFirstApp
//
//  Created by Felix Rohrer on 22.02.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import "ViewController.h"
#import "DataProvider.h"

#define USE_PERSON_DATA YES


@interface ViewController ()

@end


@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    self.view.backgroundColor = [UIColor blackColor];
    
    UILabel *label = [[UILabel alloc] initWithFrame:CGRectMake(0, 20, 320, 30)];
    label.text = @"Teilnehmer iOS FS13";
    label.backgroundColor = [UIColor clearColor];
    label.textColor = [UIColor orangeColor];
    label.font = [UIFont systemFontOfSize:30];
    label.textAlignment = NSTextAlignmentCenter;
    [self.view addSubview:label];
    
    //DataProvider *myDataProvider = [[DataProvider alloc] init];
    DataProvider *myDataProvider = [DataProvider sharedDataProvider];
    
    if (USE_PERSON_DATA) {
        NSArray *members = myDataProvider.memberPersons;
        for (int i = 0; i < members.count; i++) {
            [self addLabelForPerson:[members objectAtIndex: i] atPosition:i];
        }
        
    } else {
        NSArray *members = myDataProvider.memberNames;
        for (int i = 0; i < members.count; i++) {
            [self addLabelForText:[members objectAtIndex: i] atPositionX:10 atPositionY:i];
        }
    }
    
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (void) addLabelForPerson:(PersonData*)personData atPosition:(int)position {
    [self addLabelForText:personData.firstName atPositionX:10 atPositionY:position];
    [self addLabelForText:personData.lastName atPositionX:120 atPositionY:position];
    [self addLabelForText:[NSString stringWithFormat:@"%d", personData.plz] atPositionX:250 atPositionY:position];
}


- (void) addLabelForText:(NSString*)text atPositionX:(int)positionX atPositionY:(int)positionY {
    NSLog(@"Member %i: %@", positionY, text);
   
    UILabel *label = [[UILabel alloc] initWithFrame:CGRectMake(positionX, 70+positionY*30, 100, 30)];
    label.text = text;
    label.backgroundColor = [UIColor clearColor];
    label.textColor = [UIColor greenColor];
    
    switch (positionY % 3) {
        case 1:
            label.textColor = [UIColor redColor];
            break;
        case 2:
            label.textColor = [UIColor blueColor];
            break;
        default:
            label.textColor = [UIColor greenColor];
            break;
    }
    
    [self.view addSubview:label];
}

@end
